Name:           ocaml-migrate-parsetree
Version:        1.0.11
Release:        1%{?dist}
Summary:        Convert OCaml parsetrees between different major versions

License:        LGPLv2+ with exceptions
URL:            https://github.com/ocaml-ppx/ocaml-migrate-parsetree
Source0:        https://github.com/ocaml-ppx/ocaml-migrate-parsetree/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  jbuilder
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  opam-installer

%description
This library converts between parsetrees of different OCaml versions.
For each version, there is a snapshot of the parsetree and conversion
functions to the next and/or previous version.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
%make_build


%install
mkdir -p %{buildroot}%{_libdir}/ocaml
%make_install INSTALL_ARGS='--destdir=%{buildroot} --libdir=%{buildroot}%{_libdir}/ocaml'

# These files will be installed using doc and license directives.
rm -r %{buildroot}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
%make_build test


%files
%doc README.md MANUAL.md CHANGES.md
%license LICENSE.md
%{_libdir}/ocaml/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/{,*/}*.a
%exclude %{_libdir}/ocaml/*/{,*/}*.cmxa
%exclude %{_libdir}/ocaml/*/{,*/}*.cmx
%endif
%exclude %{_libdir}/ocaml/*/{,*/}*.ml
%exclude %{_libdir}/ocaml/*/{,*/}*.mli


%files devel
%doc README.md MANUAL.md CHANGES.md
%license LICENSE.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/{,*/}*.a
%{_libdir}/ocaml/*/{,*/}*.cmxa
%{_libdir}/ocaml/*/{,*/}*.cmx
%endif
%{_libdir}/ocaml/*/{,*/}*.ml
%{_libdir}/ocaml/*/{,*/}*.mli


%changelog
* Wed Aug 01 2018 Andy Li <andy@onthewings.net> - 1.0.11-1
- New upstream release (RHBZ#1588241).

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon May 14 2018 Andy Li <andy@onthewings.net> - 1.0.10-1
- New upstream release (RHBZ#1564343).

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 02 2018 Andy Li <andy@onthewings.net> - 1.0.7-1
- Initial RPM release.
